AquaMapsPortletRemoteImpl (GWT Maven Archetype 3.1.0-3.0.0 API)
Date: 2014-02-28

org.gcube.application.aquamaps.aquamapsportlet.servlet

## Class AquaMapsPortletRemoteImpl

- java.lang.Object
- - javax.servlet.GenericServlet
  - - javax.servlet.http.HttpServlet
    - - com.google.gwt.user.server.rpc.AbstractRemoteServiceServlet
      - - com.google.gwt.user.server.rpc.RemoteServiceServlet
        - - org.gcube.application.aquamaps.aquamapsportlet.servlet.AquaMapsPortletRemoteImpl

- All Implemented Interfaces:
    com.google.gwt.user.client.rpc.RemoteService, com.google.gwt.user.server.rpc.SerializationPolicyProvider, Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig, AquaMapsPortletRemoteService

      public class AquaMapsPortletRemoteImpl
      extends com.google.gwt.user.server.rpc.RemoteServiceServlet
      implements AquaMapsPortletRemoteService

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class com.google.gwt.user.server.rpc.AbstractRemoteServiceServlet

      `perThreadRequest, perThreadResponse`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AquaMapsPortletRemoteImpl()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `GISViewerParameters` | `checkGIS(int objectId)`
    `Integer` | `deleteSubmittedById(List<Integer> submittedId)`
    `ClientObject` | `getAquaMapsObject(int id, boolean onlineDBMode)`
    `ClientEnvelope` | `getEnvelope(String speciesId, boolean loadCustomizations)`
    `ClientEnvelope` | `reCalculateEnvelopeFromCellIds(List<String> cellsId, String speciesId)`
    `ClientEnvelope` | `reCalculateGoodCells(String bb, String faoSelection, String speciesId, boolean useBottom, boolean useBounding, boolean useFAO)`
    `protected File` | `retrieveFile(String urlValue)`
    `protected Map<String,File>` | `retrieveFiles(List<org.gcube.application.aquamaps.aquamapsservice.stubs.datamodel.enhanced.File> urls)`
    `Integer` | `saveAquaMapsItem(List<Integer> objectId, String name, String destinationBasketId)`
    `Msg` | `saveLayerItem(String url, String mimeType, String name, String destinationBasketId)`
    `Msg` | `submitJob(String title)`

    - ### Methods inherited from class com.google.gwt.user.server.rpc.RemoteServiceServlet

      `checkPermutationStrongName, doGetSerializationPolicy, getSerializationPolicy, onAfterResponseSerialized, onBeforeRequestDeserialized, processCall, processPost, shouldCompressResponse`

    - ### Methods inherited from class com.google.gwt.user.server.rpc.AbstractRemoteServiceServlet

      `doPost, doUnexpectedFailure, getPermutationStrongName, getThreadLocalRequest, getThreadLocalResponse, onAfterRequestDeserialized, readContent`

    - ### Methods inherited from class javax.servlet.http.HttpServlet

      `doDelete, doGet, doHead, doOptions, doPut, doTrace, getLastModified, service, service`

    - ### Methods inherited from class javax.servlet.GenericServlet

      `destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, init, log, log`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AquaMapsPortletRemoteImpl

          public AquaMapsPortletRemoteImpl()

  - ### Method Detail

    - #### getEnvelope

          public ClientEnvelope getEnvelope(String speciesId,
                                   boolean loadCustomizations)
                                     throws Exception

      Specified by:
        `getEnvelope` in interface `AquaMapsPortletRemoteService`
      Throws:
        `Exception`

    - #### submitJob

          public Msg submitJob(String title)
                        throws Exception

      Specified by:
        `submitJob` in interface `AquaMapsPortletRemoteService`
      Throws:
        `Exception`

    - #### getAquaMapsObject

          public ClientObject getAquaMapsObject(int id,
                                       boolean onlineDBMode)
                                         throws Exception

      Specified by:
        `getAquaMapsObject` in interface `AquaMapsPortletRemoteService`
      Throws:
        `Exception`

    - #### saveAquaMapsItem

          public Integer saveAquaMapsItem(List<Integer> objectId,
                                 String name,
                                 String destinationBasketId)
                                   throws Exception

      Specified by:
        `saveAquaMapsItem` in interface `AquaMapsPortletRemoteService`
      Throws:
        `Exception`

    - #### retrieveFiles

          protected Map<String,File> retrieveFiles(List<org.gcube.application.aquamaps.aquamapsservice.stubs.datamodel.enhanced.File> urls)

    - #### retrieveFile

          protected File retrieveFile(String urlValue)
                               throws IOException

      Throws:
        `IOException`

    - #### reCalculateEnvelopeFromCellIds

          public ClientEnvelope reCalculateEnvelopeFromCellIds(List<String> cellsId,
                                                      String speciesId)
                                                        throws Exception

      Specified by:
        `reCalculateEnvelopeFromCellIds` in interface `AquaMapsPortletRemoteService`
      Throws:
        `Exception`

    - #### reCalculateGoodCells

          public ClientEnvelope reCalculateGoodCells(String bb,
                                            String faoSelection,
                                            String speciesId,
                                            boolean useBottom,
                                            boolean useBounding,
                                            boolean useFAO)
                                              throws Exception

      Specified by:
        `reCalculateGoodCells` in interface `AquaMapsPortletRemoteService`
      Throws:
        `Exception`

    - #### deleteSubmittedById

          public Integer deleteSubmittedById(List<Integer> submittedId)
                                      throws Exception

      Specified by:
        `deleteSubmittedById` in interface `AquaMapsPortletRemoteService`
      Throws:
        `Exception`

    - #### checkGIS

          public GISViewerParameters checkGIS(int objectId)
                                       throws Exception

      Specified by:
        `checkGIS` in interface `AquaMapsPortletRemoteService`
      Throws:
        `Exception`

    - #### saveLayerItem

          public Msg saveLayerItem(String url,
                          String mimeType,
                          String name,
                          String destinationBasketId)
                            throws Exception

      Specified by:
        `saveLayerItem` in interface `AquaMapsPortletRemoteService`
      Throws:
        `Exception`

Copyright © 2014. All Rights Reserved.